io.undertow.security.api

## Enum SecurityNotification.EventType

- java.lang.Object
- - java.lang.Enum<SecurityNotification.EventType>
  - - io.undertow.security.api.SecurityNotification.EventType

All Implemented Interfaces:
  Serializable, Comparable<SecurityNotification.EventType>

Enclosing class:
  SecurityNotification

    public static enum SecurityNotification.EventType
    extends Enum<SecurityNotification.EventType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTHENTICATED`
`FAILED_AUTHENTICATION`
`LOGGED_OUT`

### Method Summary

All Methods Static Methods Concrete Methods
`static SecurityNotification.EventType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SecurityNotification.EventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTHENTICATED

    public static final SecurityNotification.EventType AUTHENTICATED

#### FAILED_AUTHENTICATION

    public static final SecurityNotification.EventType FAILED_AUTHENTICATION

#### LOGGED_OUT

    public static final SecurityNotification.EventType LOGGED_OUT

### Method Detail

#### values

    public static SecurityNotification.EventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SecurityNotification.EventType c : SecurityNotification.EventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SecurityNotification.EventType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null